# Uses of Interface
java.lang.classfile.instruction.LocalVariable

Packages that use LocalVariable
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of LocalVariable in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return LocalVariable
Modifier and Type
Method
Description
`static LocalVariable`
LocalVariable.`of(int slot, Utf8Entry nameEntry, Utf8Entry descriptorEntry, Label startScope, Label endScope)`
Returns a local variable pseudo-instruction.
`static LocalVariable`
LocalVariable.`of(int slot, String name, ClassDesc descriptor, Label startScope, Label endScope)`
Returns a local variable pseudo-instruction.